body {
    font-family: "Poppins", sans-serif;
    font-size: 13px;
    line-height: 1.5;
    color: #fff;
    height: 100%;
    background: #09090b;
    margin: 0;
}

button {
    border: 0;
    box-shadow: none;
    font-family: "Poppins", sans-serif;
    cursor: pointer;
}

:focus {
    outline: 0;
}

::selection {
    background: rgba(47, 93, 255, 0.15);
    color: rgba(47, 93, 255, 1);
}

* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

html,
body {
    height: 100%;
}

a {
    color: #fff;
    text-decoration: none;
    transition: all .3s ease;
}

a:hover {
    color: rgba(47, 93, 255, 1);
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;

    width: 100%;
    height: 100%;

    padding: 0 15px;
    margin: 0 auto;

    position: relative;
}

.card {
    display: flex;
    flex-direction: column;

    width: 350px;

    border: 1px solid #27272a;
    border-radius: 0.5rem;

    padding: 1.5rem;
    margin: 0;

    position: relative;
}

.card .card_image {
    display: flex;
    justify-content: center;
    align-items: center;
}

.card .card_image img {
    max-width: 60%;
}

.card .card_header {
    padding: 1.5rem 0;
}

.card .card_header .card_header-title {
    display: flex;
    align-items: center;
    gap: .625rem;

    font-size: 1.5rem;
    font-weight: 600;
    line-height: 1;
    letter-spacing: -.025em;

    margin: 0;
}

.card_header-title_badge {
    display: inline-flex;
    align-items: center;

    background-color: rgba(47, 93, 255, 0.15);
    border-radius: 9999px;

    color: rgba(47, 93, 255, 1);
    font-weight: 600;
    font-size: .75rem;
    line-height: 1rem;

    padding: .125rem .625rem;
    margin: 0;
}

.card .card_header .card_header-desc {
    color: #a1a1aa;
    font-size: .875rem;
    line-height: 1.25rem;
    margin-top: calc(.375rem* calc(1 - 0));
    margin-bottom: calc(.375rem* 0);
}

.card .card_footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: .5rem;

    padding: 0;
    margin: 0;

    position: relative;
}

.card .card_footer .card_footer-button {
    display: flex;
    justify-content: center;
    align-items: center;

    flex: 1 1 auto;

    background: rgba(47, 93, 255, 1);
    border-radius: calc(.5rem - 2px);

    color: #fff;
    font-size: .75rem;
    font-weight: 500;
    line-height: 1.25rem;

    padding: .5rem 1rem;
    margin: 0;

    position: relative;
    transition: all .3s ease;
}

/* .card .card_footer .card_footer-button:nth-child(1) {
    background: rgba(39, 39, 42, 1);
} */

.card .card_footer .card_footer-button:hover {
    background: rgba(47, 93, 255, 0.7);
}

/* .card .card_footer .card_footer-button:nth-child(1):hover {
    background: rgba(39, 39, 42, 0.7);
} */

.card_footer-button i {
    font-size: 1rem;
    margin-right: 5px;
}

#preloader {
    position: fixed;
    width: 100%;
    height: 100%;
    background: #09090b;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    transition: opacity 0.5s ease-out;
}

.loader {
    display: flex;
    justify-content: center;
    align-items: center;
    --color: hsl(0, 0%, 87%);
    --animation: 2s ease-in-out infinite;
}

.loader .circle {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 20px;
    height: 20px;
    border: solid 2px var(--color);
    border-radius: 50%;
    margin: 0 10px;
    background-color: transparent;
    animation: circle-keys var(--animation);
}

.loader .circle .dot {
    position: absolute;
    transform: translate(-50%, -50%);
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background-color: var(--color);
    animation: dot-keys var(--animation);
}

.loader .circle .outline {
    position: absolute;
    transform: translate(-50%, -50%);
    width: 20px;
    height: 20px;
    border-radius: 50%;
    animation: outline-keys var(--animation);
}

.circle:nth-child(2) {
    animation-delay: 0.3s;
}

.circle:nth-child(3) {
    animation-delay: 0.6s;
}

.circle:nth-child(4) {
    animation-delay: 0.9s;
}

.circle:nth-child(5) {
    animation-delay: 1.2s;
}

.circle:nth-child(2) .dot {
    animation-delay: 0.3s;
}

.circle:nth-child(3) .dot {
    animation-delay: 0.6s;
}

.circle:nth-child(4) .dot {
    animation-delay: 0.9s;
}

.circle:nth-child(5) .dot {
    animation-delay: 1.2s;
}

.circle:nth-child(1) .outline {
    animation-delay: 0.9s;
}

.circle:nth-child(2) .outline {
    animation-delay: 1.2s;
}

.circle:nth-child(3) .outline {
    animation-delay: 1.5s;
}

.circle:nth-child(4) .outline {
    animation-delay: 1.8s;
}

.circle:nth-child(5) .outline {
    animation-delay: 2.1s;
}

@keyframes circle-keys {
    0% {
        transform: scale(1);
        opacity: 1;
    }

    50% {
        transform: scale(1.5);
        opacity: 0.5;
    }

    100% {
        transform: scale(1);
        opacity: 1;
    }
}

@keyframes dot-keys {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(0);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes outline-keys {
    0% {
        transform: scale(0);
        outline: solid 20px var(--color);
        outline-offset: 0;
        opacity: 1;
    }

    100% {
        transform: scale(1);
        outline: solid 0 transparent;
        outline-offset: 20px;
        opacity: 0;
    }
}

.toast {
    border: 1px solid #27272a;
    border-radius: 8px;

    padding: 16px;
    margin: 0;

    box-shadow: none !important;
}

#toast-container>.toast-success {
    background-image: none !important;
}

.toast.toast-success {
    background: transparent;
}

.toast .toast-title {
    font-weight: 500;
    line-height: 1.5;
}

.toast .toast-message {
    color: #a1a1aa;
    font-weight: 400;
    line-height: 1.5;
}

.toast-message {
    -ms-word-wrap: break-word;
    word-wrap: break-word;
}

.toast-message a,
.toast-message label {
    color: #fff;
}

.toast-message a:hover {
    color: #ccc;
    text-decoration: none;
}

.toast-top-center {
    top: 0;
    right: 0;
    width: 100%;
}

.toast-bottom-center {
    bottom: 0;
    right: 0;
    width: 100%;
}

.toast-top-full-width {
    top: 0;
    right: 0;
    width: 100%;
}

.toast-bottom-full-width {
    bottom: 0;
    right: 0;
    width: 100%;
}

.toast-top-left {
    top: 12px;
    left: 12px;
}

.toast-top-right {
    top: 12px;
    right: 12px;
}

.toast-bottom-right {
    right: 12px;
    bottom: 12px;
}

.toast-bottom-left {
    bottom: 12px;
    left: 12px;
}

#toast-container {
    position: fixed;
    z-index: 999999;
    pointer-events: none;
}

#toast-container * {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

#toast-container>div {
    position: relative;
    pointer-events: auto;
    overflow: hidden;
    width: 300px;
    color: #fff;
    opacity: 1;
}

#toast-container.toast-bottom-center>div,
#toast-container.toast-top-center>div {
    width: 300px;
    margin-left: auto;
    margin-right: auto;
}

#toast-container.toast-bottom-full-width>div,
#toast-container.toast-top-full-width>div {
    width: 96%;
    margin-left: auto;
    margin-right: auto;
}

.tooltip {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    padding: 0.3em 0.6em;
    opacity: 0;
    pointer-events: none;
    transition: all 0.4s cubic-bezier(0.23, 1, 0.32, 1);
    background: linear-gradient(320deg, rgb(3, 77, 146), rgb(0, 60, 255));
    z-index: -1;
    border-radius: 8px;
    scale: 0;
    transform-origin: 0 0;
    text-transform: capitalize;
    font-weight: 400;
    font-size: 10.3px;
    box-shadow: rgb(0, 0, 0) 0 0px 35px;
    text-shadow: 1px 1px 2px black;
}

.tooltip::before {
    position: absolute;
    content: "";
    height: 0.6em;
    width: 0.6em;
    bottom: -0.2em;
    left: 50%;
    transform: translate(-50%) rotate(45deg);
    background: linear-gradient(320deg, rgb(3, 77, 146), rgb(0, 60, 255));
}

.tooltip-container:hover .tooltip {
    top: -100%;
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    scale: 1;
    animation: shake 0.5s ease-in-out both;
}

@keyframes shake {
    0% {
        rotate: 0;
    }

    25% {
        rotate: 7deg;
    }

    50% {
        rotate: -7deg;
    }

    75% {
        rotate: 1deg;
    }

    100% {
        rotate: 0;
    }
}